%define libxml2_version 2.4.21
%define orbit2_version 2.6.0
%define bonobo_activation_version 2.2.0
%define linc_version 1.0.0

%define po_package libbonobo-2.0

Summary: Bonobo component system
Name: libbonobo
Version: 2.2.3
Release: 1
URL: http://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: libxml2-devel >= %{libxml2_version}
BuildPreReq: ORBit2-devel >= %{orbit2_version}
BuildPreReq: bonobo-activation-devel >= %{bonobo_activation_version}
BuildPreReq: linc-devel >= %{linc_version}
BuildPreReq: intltool >= 0.14-1

%description

Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package devel
Summary: Libraries and headers for libbonobo
Group: Development/Libraries
Requires:	%name = %{version}
Requires:  bonobo-activation-devel >= %{bonobo_activation_version}
Requires:  ORBit2-devel >= %{orbit2_version}
Requires:  libxml2-devel >= %{libxml2_version}
Requires: linc-devel >= %{linc_version}
Conflicts: bonobo-devel < 1.0.8

%description devel

Bonobo is a component system based on CORBA, used by the GNOME desktop.

This package contains header files used to compile programs that 
use Bonobo.

%prep
%setup -q -n %{name}-%{version}

%build
# intltool 0.13 wants NDBM_File, which we don't include 
intltoolize --force --copy
%configure --disable-gtk-doc 

make LIBTOOL=/usr/bin/libtool ## %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall LIBTOOL=/usr/bin/libtool

## just kill this wherever it lives
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo-2.0/samples/bonobo-echo-2
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/bonobo-2.0/samples/bonobo-echo-2

## kill other stuff
rm $RPM_BUILD_ROOT%{_bindir}/echo-client-2
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.*a
rm $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.*a

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/lib*.so.*
%{_libdir}/bonobo/servers
## these are dlopened, so we don't need the .la .a etc stuff
%{_libdir}/bonobo/monikers/*.so*
%{_libdir}/orbit-2.0/*.so*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/idl
%{_datadir}/gtk-doc
## don't install bindir/* which is bonobo-echo and echo-client

%changelog
* Tue Jul  8 2003 Havoc Pennington <hp@redhat.com> 2.2.3-1
- 2.2.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 2.2.0-1
- 2.2.0

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 2.1.1-3
- use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- 2.1.1

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.0
- fix installed but unpackaged files

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.113.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0
- Rebuild for dependencies
- Intltoolize, the included version has problems with our Perl

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake-1.4

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.107.0, glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib, new snap

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to 1.103.0 tarball
- call automake after patching Makefile.am
- patch for parallel install

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- add some requires

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- conflict with bonobo < 1.0.8 to avoid header conflicts
- update group

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- moved IDL files into subdir
- remove smp_mflags, libbonobo does not like those

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- remove IDL files as temporary hack

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


